Module javafx.base
Package javafx.beans.property

# Class ReadOnlyMapWrapper<K,​V>

java.lang.Object
javafx.beans.binding.MapExpression<K,​V>
javafx.beans.property.ReadOnlyMapProperty<K,​V>
javafx.beans.property.MapProperty<K,​V>
javafx.beans.property.MapPropertyBase<K,​V>
javafx.beans.property.SimpleMapProperty<K,​V>
javafx.beans.property.ReadOnlyMapWrapper<K,​V>

All Implemented Interfaces:
  `Map<K,​V>`, `Observable`, `Property<ObservableMap<K,​V>>`, `ReadOnlyProperty<ObservableMap<K,​V>>`, `ObservableMapValue<K,​V>`, `ObservableObjectValue<ObservableMap<K,​V>>`, `ObservableValue<ObservableMap<K,​V>>`, `WritableMapValue<K,​V>`, `WritableObjectValue<ObservableMap<K,​V>>`, `WritableValue<ObservableMap<K,​V>>`, `ObservableMap<K,​V>`

    public class ReadOnlyMapWrapper<K,​V>
    extends SimpleMapProperty<K,​V>

This class provides a convenient class to define read-only properties. It creates two properties that are synchronized. One property is read-only and can be passed to external users. The other property is read- and writable and should be used internally only.

Since:
  JavaFX 2.1

- ## Property Summary

  ### Properties declared in class javafx.beans.binding.MapExpression

  `empty, size`

- ## Nested Class Summary

  ## Nested classes/interfaces declared in interface java.util.Map

  `Map.Entry<K extends Object,​V extends Object>`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ReadOnlyMapWrapper()` | The constructor of `ReadOnlyMapWrapper`
  `ReadOnlyMapWrapper​(Object bean, String name)` | The constructor of `ReadOnlyMapWrapper`
  `ReadOnlyMapWrapper​(Object bean, String name, ObservableMap<K,​V> initialValue)` | The constructor of `ReadOnlyMapWrapper`
  `ReadOnlyMapWrapper​(ObservableMap<K,​V> initialValue)` | The constructor of `ReadOnlyMapWrapper`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ReadOnlyMapProperty<K,​V>` | `getReadOnlyProperty()` | Returns the readonly property, that is synchronized with this `ReadOnlyMapWrapper`.

  ### Methods declared in class javafx.beans.property.MapPropertyBase

  `fireValueChangedEvent, fireValueChangedEvent, invalidated, toString`

  ### Methods declared in class javafx.beans.property.ReadOnlyMapProperty

  `bindContent, bindContentBidirectional, hashCode, unbindContent, unbindContentBidirectional`

  ### Methods declared in class javafx.beans.binding.MapExpression

  `asString, emptyProperty, getSize, isEqualTo, isNotEqualTo, isNotNull, isNull, mapExpression, sizeProperty, valueAt, valueAt`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface java.util.Map

  `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.collections.ObservableMap

  `addListener, removeListener`

  ### Methods declared in interface javafx.beans.value.ObservableObjectValue

  `get`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, getValue, removeListener`

  ### Methods declared in interface javafx.beans.property.Property

  `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

  ### Methods declared in interface javafx.beans.value.WritableObjectValue

  `get, set`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue, setValue`

- ## Constructor Details

  - ### ReadOnlyMapWrapper

    public ReadOnlyMapWrapper()
    The constructor of `ReadOnlyMapWrapper`

  - ### ReadOnlyMapWrapper

    public ReadOnlyMapWrapper​(ObservableMap<K,​V> initialValue)
    The constructor of `ReadOnlyMapWrapper`
    Parameters:
      `initialValue` - the initial value of the wrapped value

  - ### ReadOnlyMapWrapper

    public ReadOnlyMapWrapper​(Object bean, String name)
    The constructor of `ReadOnlyMapWrapper`
    Parameters:
      `bean` - the bean of this `ReadOnlyMapWrapper`
      `name` - the name of this `ReadOnlyMapWrapper`

  - ### ReadOnlyMapWrapper

    public ReadOnlyMapWrapper​(Object bean, String name, ObservableMap<K,​V> initialValue)
    The constructor of `ReadOnlyMapWrapper`
    Parameters:
      `bean` - the bean of this `ReadOnlyMapWrapper`
      `name` - the name of this `ReadOnlyMapWrapper`
      `initialValue` - the initial value of the wrapped value

- ## Method Details

  - ### getReadOnlyProperty

    public ReadOnlyMapProperty<K,​V> getReadOnlyProperty()
    Returns the readonly property, that is synchronized with this `ReadOnlyMapWrapper`.
    Returns:
      the readonly property